using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemyAi2 : MonoBehaviour
{
    private AstarPath pathFinding;
    private bool enemySeesPlayer;
    [SerializeField] Transform target;
    public float enemyFov;
    // Start is called before the first frame update
    void Start()
    {
        enemySeesPlayer = false;
        pathFinding = GetComponent<AstarPath>();
        pathFinding.enabled = false;
    }

    // Update is called once per frame
    void Update()
    {
        EnemyFov();
        if(enemySeesPlayer)
        {
            pathFinding.enabled = true;
            FindObjectOfType<AudioManager2>().Play("EnemySound");
            FindObjectOfType<AudioManager2>().Stop("Level2Music");
        }
    }
    private void EnemyFov()
    {
        if (Vector2.Distance(transform.position, target.position) <= enemyFov)
        {
            enemySeesPlayer = true;
        }
    }
}
