using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerGraphics : MonoBehaviour
{
    [SerializeField] Animator anim;
    [SerializeField] GameObject player;
    // Start is called before the first frame update
    void Start()
    {
        anim = GetComponent<Animator>();
        player = gameObject.transform.parent.gameObject;
    }

    // Update is called once per frame
    void Update()
    {
        if (player.GetComponent<PlayerMovement>().right)
        {
            anim.SetBool("Right", true);
        }
        else anim.SetBool("Right", false);
        if(player.GetComponent<PlayerMovement>().left)
        {
            anim.SetBool("Left", true);
        }
        else anim.SetBool("Left", false);
        if(player.GetComponent<PlayerMovement>().movingRight)
        {
            anim.SetBool("moveRight", true);
        }
        else anim.SetBool("moveRight", false);
        if (player.GetComponent<PlayerMovement>().movingLeft)
        {
            anim.SetBool("moveLeft", true);
        }
        else anim.SetBool("moveLeft", false);
    }
}
